#include "ngc_command.h"

#include <stdlib.h>
#include <string.h>

struct ngc_command *ngc_command_new(char type, char const *service)
{
    struct ngc_command *cmd = calloc(1, sizeof(struct ngc_command));

    if (cmd)
    {
        cmd->type = type;
        cmd->issuer = getpid();
        if (service)
            strncpy(cmd->service, service, sizeof(cmd->service));
    }

    return cmd;
}

void ngc_command_destroy(struct ngc_command *nc)
{
    free(nc);
}
